Package org.apache.aries.jax.rs.rest.management.internal.client

## Class RestClientImpl

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.client.RestClientImpl

All Implemented Interfaces:
  `org.osgi.service.rest.client.RestClient`

    public class RestClientImpl
    extends Object
    implements org.osgi.service.rest.client.RestClient

### Constructor Summary

Constructors
`RestClientImpl​(javax.ws.rs.client.WebTarget webTarget)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.dto.BundleDTO` `getBundle​(long id)`
`org.osgi.framework.dto.BundleDTO` `getBundle​(String bundlePath)`
`Map<String,​String>` `getBundleHeaders​(long id)`
`Map<String,​String>` `getBundleHeaders​(String bundlePath)`
`Collection<String>` `getBundlePaths()`
`Collection<org.osgi.framework.dto.BundleDTO>` `getBundles()`
`org.osgi.framework.startlevel.dto.BundleStartLevelDTO` `getBundleStartLevel​(long id)`
`org.osgi.framework.startlevel.dto.BundleStartLevelDTO` `getBundleStartLevel​(String bundlePath)`
`int` `getBundleState​(long id)`
`int` `getBundleState​(String bundlePath)`
`org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO` `getFrameworkStartLevel()`
`Collection<String>` `getServicePaths()`
`Collection<String>` `getServicePaths​(String filter)`
`org.osgi.framework.dto.ServiceReferenceDTO` `getServiceReference​(long id)`
`org.osgi.framework.dto.ServiceReferenceDTO` `getServiceReference​(String servicePath)`
`Collection<org.osgi.framework.dto.ServiceReferenceDTO>` `getServiceReferences()`
`Collection<org.osgi.framework.dto.ServiceReferenceDTO>` `getServiceReferences​(String filter)`
`org.osgi.framework.dto.BundleDTO` `installBundle​(String location)`
`org.osgi.framework.dto.BundleDTO` `installBundle​(String location, InputStream in)`
`void` `setBundleStartLevel​(long id, int startLevel)`
`void` `setBundleStartLevel​(String bundlePath, int startLevel)`
`void` `setFrameworkStartLevel​(org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO startLevel)`
`void` `startBundle​(long id)`
`void` `startBundle​(long id, int options)`
`void` `startBundle​(String bundlePath)`
`void` `startBundle​(String bundlePath, int options)`
`void` `stopBundle​(long id)`
`void` `stopBundle​(long id, int options)`
`void` `stopBundle​(String bundlePath)`
`void` `stopBundle​(String bundlePath, int options)`
`org.osgi.framework.dto.BundleDTO` `uninstallBundle​(long id)`
`org.osgi.framework.dto.BundleDTO` `uninstallBundle​(String bundlePath)`
`org.osgi.framework.dto.BundleDTO` `updateBundle​(long id)`
`org.osgi.framework.dto.BundleDTO` `updateBundle​(long id, InputStream in)`
`org.osgi.framework.dto.BundleDTO` `updateBundle​(long id, String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientImpl

    public RestClientImpl​(javax.ws.rs.client.WebTarget webTarget)

### Method Detail

#### getFrameworkStartLevel

    public org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO getFrameworkStartLevel()
                                                                                    throws Exception

Specified by:
  `getFrameworkStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### setFrameworkStartLevel

    public void setFrameworkStartLevel​(org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO startLevel)
                                throws Exception

Specified by:
  `setFrameworkStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundlePaths

    public Collection<String> getBundlePaths()
                                      throws Exception

Specified by:
  `getBundlePaths` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundles

    public Collection<org.osgi.framework.dto.BundleDTO> getBundles()
                                                            throws Exception

Specified by:
  `getBundles` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundle

    public org.osgi.framework.dto.BundleDTO getBundle​(long id)
                                               throws Exception

Specified by:
  `getBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundle

    public org.osgi.framework.dto.BundleDTO getBundle​(String bundlePath)
                                               throws Exception

Specified by:
  `getBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleState

    public int getBundleState​(long id)
                       throws Exception

Specified by:
  `getBundleState` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleState

    public int getBundleState​(String bundlePath)
                       throws Exception

Specified by:
  `getBundleState` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### startBundle

    public void startBundle​(long id)
                     throws Exception

Specified by:
  `startBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### startBundle

    public void startBundle​(String bundlePath)
                     throws Exception

Specified by:
  `startBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### startBundle

    public void startBundle​(long id,
                            int options)
                     throws Exception

Specified by:
  `startBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### startBundle

    public void startBundle​(String bundlePath,
                            int options)
                     throws Exception

Specified by:
  `startBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### stopBundle

    public void stopBundle​(long id)
                    throws Exception

Specified by:
  `stopBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### stopBundle

    public void stopBundle​(String bundlePath)
                    throws Exception

Specified by:
  `stopBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### stopBundle

    public void stopBundle​(long id,
                           int options)
                    throws Exception

Specified by:
  `stopBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### stopBundle

    public void stopBundle​(String bundlePath,
                           int options)
                    throws Exception

Specified by:
  `stopBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleHeaders

    public Map<String,​String> getBundleHeaders​(long id)
                                              throws Exception

Specified by:
  `getBundleHeaders` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleHeaders

    public Map<String,​String> getBundleHeaders​(String bundlePath)
                                              throws Exception

Specified by:
  `getBundleHeaders` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleStartLevel

    public org.osgi.framework.startlevel.dto.BundleStartLevelDTO getBundleStartLevel​(long id)
                                                                              throws Exception

Specified by:
  `getBundleStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getBundleStartLevel

    public org.osgi.framework.startlevel.dto.BundleStartLevelDTO getBundleStartLevel​(String bundlePath)
                                                                              throws Exception

Specified by:
  `getBundleStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### setBundleStartLevel

    public void setBundleStartLevel​(long id,
                                    int startLevel)
                             throws Exception

Specified by:
  `setBundleStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### setBundleStartLevel

    public void setBundleStartLevel​(String bundlePath,
                                    int startLevel)
                             throws Exception

Specified by:
  `setBundleStartLevel` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### installBundle

    public org.osgi.framework.dto.BundleDTO installBundle​(String location)
                                                   throws Exception

Specified by:
  `installBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### installBundle

    public org.osgi.framework.dto.BundleDTO installBundle​(String location,
                                                          InputStream in)
                                                   throws Exception

Specified by:
  `installBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### uninstallBundle

    public org.osgi.framework.dto.BundleDTO uninstallBundle​(long id)
                                                     throws Exception

Specified by:
  `uninstallBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### uninstallBundle

    public org.osgi.framework.dto.BundleDTO uninstallBundle​(String bundlePath)
                                                     throws Exception

Specified by:
  `uninstallBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### updateBundle

    public org.osgi.framework.dto.BundleDTO updateBundle​(long id)
                                                  throws Exception

Specified by:
  `updateBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### updateBundle

    public org.osgi.framework.dto.BundleDTO updateBundle​(long id,
                                                         String url)
                                                  throws Exception

Specified by:
  `updateBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### updateBundle

    public org.osgi.framework.dto.BundleDTO updateBundle​(long id,
                                                         InputStream in)
                                                  throws Exception

Specified by:
  `updateBundle` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServicePaths

    public Collection<String> getServicePaths()
                                       throws Exception

Specified by:
  `getServicePaths` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServicePaths

    public Collection<String> getServicePaths​(String filter)
                                       throws Exception

Specified by:
  `getServicePaths` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServiceReferences

    public Collection<org.osgi.framework.dto.ServiceReferenceDTO> getServiceReferences()
                                                                                throws Exception

Specified by:
  `getServiceReferences` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServiceReferences

    public Collection<org.osgi.framework.dto.ServiceReferenceDTO> getServiceReferences​(String filter)
                                                                                throws Exception

Specified by:
  `getServiceReferences` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServiceReference

    public org.osgi.framework.dto.ServiceReferenceDTO getServiceReference​(long id)
                                                                   throws Exception

Specified by:
  `getServiceReference` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`

#### getServiceReference

    public org.osgi.framework.dto.ServiceReferenceDTO getServiceReference​(String servicePath)
                                                                   throws Exception

Specified by:
  `getServiceReference` in interface `org.osgi.service.rest.client.RestClient`
Throws:
  `Exception`